Package com.xebialabs.xlrelease.domain.delivery

# Class Condition

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.delivery.Condition

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

Direct Known Subclasses:
  `ConditionGroup`, `ItemsCompletionCondition`, `TimeCondition`

@Metadata(versioned=false, virtual=true, description="Condition for a transition to execute automatically.") public abstract class Condition extends BaseConfigurationItem

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Condition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Condition>`
  `getAllConditions()`
  `abstract String`
  `getDescription()`
  `List<PropertyDescriptor>`
  `getInputProperties()`
  `List<Condition>`
  `getLeafConditions()`
  `Date`
  `getSatisfiedDate()`
  `boolean`
  `isActive()`
  `boolean`
  `isLeaf()`
  `boolean`
  `isSatisfied()`
  `List<Condition>`
  `markAsSatisfied(String conditionId, Date satisfiedDate)`
  `void`
  `reset()`
  `void`
  `setSatisfied(boolean satisfied)`
  `void`
  `setSatisfiedDate(Date satisfiedDate)`
  `void`
  `validate(Delivery delivery)`
  `Condition`
  `withId(String id)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Condition

    public Condition()

- ## Method Details

  - ### getDescription

    public abstract String getDescription()

  - ### validate

    public void validate(Delivery delivery)

  - ### isActive

    public boolean isActive()

  - ### withId

    public Condition withId(String id)

  - ### getInputProperties

    public List<PropertyDescriptor> getInputProperties()

  - ### markAsSatisfied

    public List<Condition> markAsSatisfied(String conditionId, Date satisfiedDate)

  - ### isLeaf

    public boolean isLeaf()

  - ### getAllConditions

    public List<Condition> getAllConditions()

  - ### getLeafConditions

    public List<Condition> getLeafConditions()

  - ### reset

    public void reset()

  - ### isSatisfied

    public boolean isSatisfied()

  - ### setSatisfied

    public void setSatisfied(boolean satisfied)

  - ### getSatisfiedDate

    public Date getSatisfiedDate()

  - ### setSatisfiedDate

    public void setSatisfiedDate(Date satisfiedDate)